# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "nonogram-rs"
version = "1.1.1"
authors = ["Rico Riedel <rico.riedel@protonmail.ch>"]
description = "A fast and simple nonogram solver."
license = "GPL-3.0-or-later"
repository = "https://github.com/ricoriedel/nonogram-rs"
resolver = "2"

[[bin]]
name = "nonosolver"
required-features = [
    "clap",
    "serde",
    "serde_json",
]

[dependencies.clap]
version = "3.1"
features = ["derive"]
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dependencies.serde_json]
version = "1.0"
optional = true
